Fehler bei Update auf 3.1

In diesem Forum stellen wir Patches und Updates online, die ihr euch runter laden könnt sowie informieren über Neugikeiten rund um den Randshop

Moderatoren: Magnus, mmaass, ablass

Fehler bei Update auf 3.1

Beitragvon chh » Fr 11. Nov 2022, 10:36

Hallo,

beim Update von 3.0 auf 3.1 erhalte ich folgenden Fehler:

SQL: ALTER TABLE `randshop_topnavi` ADD `shop_id` int(10) unsigned NOT NULL DEFAULT 0 AFTER agb_hosting_id;
Fehlermeldung: Duplicate column name 'shop_id'

Ich kann damit nichts anfangen und bitte um Hilfe.

Danke und Gruß
Christian
chh
 
Beiträge: 15
Registriert: Di 11. Okt 2011, 20:27

Re: Fehler bei Update auf 3.1

Beitragvon chh » Fr 11. Nov 2022, 11:58

Der Fehler rührt nicht vom Shop, sondern von der DB.

Unbenanntes Bild.png
Unbenanntes Bild.png (72.23 KiB) 32637-mal betrachtet
chh
 
Beiträge: 15
Registriert: Di 11. Okt 2011, 20:27

Re: Fehler bei Update auf 3.1

Beitragvon mmaass » Mo 14. Nov 2022, 18:00

Mit dem Link kannst Du Dir das Logfile anschauen.
Es wird aber wahrscheinlich nur eine doppelte Spalten sein. Das kann dann ignoriert werden.
www.randshop.com
Entwicklung - Anpassung - Support
Benutzeravatar
mmaass
Admin
 
Beiträge: 5203
Registriert: Di 24. Aug 2004, 17:44
Wohnort: Berlin

Re: Fehler bei Update auf 3.1

Beitragvon chh » Mo 14. Nov 2022, 20:38

Na ja, nachdem ich die sprechenden URLs neu generiert habe, funktionierten die URLs dennoch nicht. Schon beim Bestellvorgang kam auf dem Weg zur Kasse ein Fehler. Deshalb habe ich auf 3.0 zurückgestellt.
Wie kann ich aktualisieren?

Wenn ich den Shop neu aufbaue und eine DB Sicherung einspiele, sind dann alle Einstellungen, Artikel, Historie, etc. wieder vorhanden?
chh
 
Beiträge: 15
Registriert: Di 11. Okt 2011, 20:27

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Mo 14. Nov 2022, 21:52

Bei uns ist das Update auch fehlgeschlagen:

Die Kategorien lassen sich noch aufrufen,
aber bei den Details kommt ein 500 er Fehler:

z.B.: beim Aufruf: http://test.heidrunwebt.de/Stola/Sommer ... referid=29

Warning: Undefined variable $MerkmalauswahlDataArray in /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/includes/functions.merkmale.inc.php on line 1004 Warning: Undefined variable $ArtikelParentObject in /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/themes/kategorie/detail.php on line 98 Fatal error: Uncaught TypeError: dechex(): Argument #1 ($num) must be of type int, string given in /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/includes/functions.statistik.inc.php:204 Stack trace: #0 /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/includes/functions.statistik.inc.php(204): dechex() #1 /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/includes/functions.statistik.inc.php(252): IpStringToHex() #2 /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/themes/kategorie/detail.php(218): StatistikEventArtikelView() #3 /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php(143): include_once('...') #4 {main} thrown in /mnt/web422/b2/90/510176590/htdocs/Test_Heidrunwebt/test/includes/functions.statistik.inc.php on line 204

Der Fehler kommt mit und ohne "sprechende URLs"
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Mo 14. Nov 2022, 22:00

Das mit dem Testen des Updates nach dem Umstellen auf PHP8 ist wie eine Operation am offenen Herzen.
Da auf dem Webspace neben der Testumgebung in einer Sub-Domain zum einen die Rand-Shop-Live-Version läuft und eine zweite Web-Anwendung läuft; wird temporär die Live-Umgebung (des Randshops) nicht erreichbar. Die andere Anwendung juckt es nicht, ob PHP8 oder PHP 7.4 angewählt ist.
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Di 15. Nov 2022, 15:56

Ich habe die Statistik-Option per Admin auf meiner Testumgebung ausgeschaltet und alle Statistiken vor dem 16.11.2022 gelöscht.
danach konnte ich die Detail-Seiten aufrufen.

Wenn ich dann die Statistik-Option wieder aktiviere, lassen sich die Detail-Seiten nicht mehr aufrufen !!
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Re: Fehler bei Update auf 3.1

Beitragvon mmaass » Fr 18. Nov 2022, 15:04

Durch verschiedene Kompilierungen bei Hostern zu PHP kommt es zu Unterschieden.
Wir haben zu der Problematik auch für andere auftretende Fehler ein Patch gemacht. Der Haken zur Statistik sollte danach kein Thema mehr sein.

Einfach runter laden und dann in der 3.1 vom Shop-Hauptverzeichnis aus aufspielen.
Dateianhänge
patch_3_1_0_1.zip
(210.16 KiB) 142-mal heruntergeladen
www.randshop.com
Entwicklung - Anpassung - Support
Benutzeravatar
mmaass
Admin
 
Beiträge: 5203
Registriert: Di 24. Aug 2004, 17:44
Wohnort: Berlin

Re: Fehler bei Update auf 3.1

Beitragvon allegro:it » Do 12. Jan 2023, 14:05

Hallo
ich kriege Randshop 3.1 auf Version it php 8.0 8.1 und 8.2 erst garnicht installiert. Ich habe folgendes probiert:

+Update von Version 3.0 mit Patch 1 und 2
+Neuinstallation von Version 3.1 mit Patch 1 und 2

Gehe ich nach Installationsanweisung vor und rufe die URL nach dem Ausspielen der Dateien auf, kriege ich nur die Meldung ; Server kann diese Anfrage momentan nicht verarbeiten. HTTP ERROR 500.

Jemand eine Idee?
allegro:it
 
Beiträge: 2
Registriert: Fr 6. Nov 2015, 10:01

Re: Fehler bei Update auf 3.1

Beitragvon allegro:it » Fr 13. Jan 2023, 10:03

So, bin jetzt einen Schritt weiter. Nach mehrfachen kompletten Neuinstallationen konnte ich den Shop jetzt installieren. Das Aufrufen funktioniert auch, Jedoch beim Aufruf als Admin kriege ich immer noch den Fehler 500. Der Shop scheint in der Installationsversion (Einstellungen, Daten) zu laufen, aber ich kann mich nicht als Admin einloggen. Es gib kein Error log.
allegro:it
 
Beiträge: 2
Registriert: Fr 6. Nov 2015, 10:01

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Fr 13. Jan 2023, 15:22

Ja, wie bei mir !

siehe test.heidrunwebt.de
- kein Zugang auf admin
- Bestellvorgang funktioniert nicht !
- siehe auch: viewtopic.php?f=83&t=12718

Leider hat sich zu dem Thema, das seit der Veröffentlichung von 3.1 offen ist, vom Randshop-Team noch niemand gemeldet.

Möglicherweise liegt es ja an speziellen EInstellungen beim Provider (Strato), aber auch hierzu gibt es keinerlei Info.

Zuletzt habe ich es ja geschafft, daß ich dort andere Anwendungen auf PHP 8 laufen lassen kann und eine Testumgebung für den Randshop mit PHP 8
habe.
Das Live- Sytem (heidrunwebt.de) läuft unter PHP 7.4 mit einer dafür speziellen Direktive in der .htaccess.

Wegen PHP 8 hatte ich bereits letztes Jahr (2022) im Januar angefragt
viewtopic.php?f=82&t=12673

Leider bin ich ohne Unterstützung zu diesem Thema bis jetzt nicht weitergekommen.
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Mo 16. Jan 2023, 14:11

Hier ein paar Auszüge aus dem PHP-Error-Log vom Server für
- Aufruf der Seite
- Auswahl eines Artikels
- Wechsel zur Detailseite
- "in den Warenkorb"
- Wechsel zu einer anderen Kategorie, weil der Warenkorb sonst 0 anzeigt
- Wechsel zum Warenkorb
- Auswahl der Zahlungsart
- Bestellen (was dann den Fehler 500 produziert...)

Es werden dabei ca. 2370 Zeilen, zumeist Warnings, aber auch Fehlereinträge erzeugt:

Hier nur die "Fatal error":
16.01.2023 14:17:35 test.heidrunwebt.de [client 2003:d3:6700::] PHP Fatal error: Uncaught TypeError: Unsupported operand types: int + string in /xxxxxx/Test_Heidrunwebt/test/includes/functions.warenkorb.inc.php:1759
16.01.2023 14:17:35 test.heidrunwebt.de [client 2003:d3:6700::] Stack trace:
16.01.2023 14:17:35 test.heidrunwebt.de [client 2003:d3:6700::] #0 /xxxxxx/Test_Heidrunwebt/test/themes/warenkorb/ajax_handler.php(41): GetWarenkorbDataArray()
16.01.2023 14:17:35 test.heidrunwebt.de [client 2003:d3:6700::] #1 {main}
16.01.2023 14:17:35 test.heidrunwebt.de [client 2003:d3:6700::] thrown in /xxxxxx/Test_Heidrunwebt/test/includes/functions.warenkorb.inc.php on line 1759
16.01.2023 14:17:52 test.heidrunwebt.de [client 2003:d3:6700::] PHP Deprecated: number_format(): Passing null to parameter #1 ($num) of type float is deprecated in /xxxxxx/Test_Heidrunwebt/test/includes/functions.artikel.inc.php on line 1416
.........
16.01.2023 14:17:52 test.heidrunwebt.de [client 2003:d3:6700::] PHP Fatal error: Uncaught TypeError: Unsupported operand types: int + string in /xxxxxx/Test_Heidrunwebt/test/includes/functions.warenkorb.inc.php:1759
16.01.2023 14:17:52 test.heidrunwebt.de [client 2003:d3:6700::] Stack trace:
16.01.2023 14:17:52 test.heidrunwebt.de [client 2003:d3:6700::] #0 /xxxxxx/Test_Heidrunwebt/test/themes/warenkorb/ajax_handler.php(41): GetWarenkorbDataArray()
16.01.2023 14:17:52 test.heidrunwebt.de [client 2003:d3:6700::] #1 {main}
16.01.2023 14:17:52 test.heidrunwebt.de [client 2003:d3:6700::] thrown in /xxxxxx/Test_Heidrunwebt/test/includes/functions.warenkorb.inc.php on line 1759
......................
16.01.2023 14:18:21 test.heidrunwebt.de [client 2003:d3:6700::] PHP Fatal error: Uncaught TypeError: Unsupported operand types: int + string in /xxxxxx/Test_Heidrunwebt/test/includes/functions.warenkorb.inc.php:1759
16.01.2023 14:18:21 test.heidrunwebt.de [client 2003:d3:6700::] Stack trace:
16.01.2023 14:18:21 test.heidrunwebt.de [client 2003:d3:6700::] #0 /xxxxxx/Test_Heidrunwebt/test/themes/bestellen/bestellvorgang.inc.php(142): GetWarenkorbDataArray()
16.01.2023 14:18:21 test.heidrunwebt.de [client 2003:d3:6700::] #1 /xxxxxx/Test_Heidrunwebt/test/themes/bestellen/index.php(97): include_once('...')
16.01.2023 14:18:21 test.heidrunwebt.de [client 2003:d3:6700::] #2 {main}
16.01.2023 14:18:21 test.heidrunwebt.de [client 2003:d3:6700::] thrown in /xxxxxx/Test_Heidrunwebt/test/includes/functions.warenkorb.inc.php on line 1759
16.01.2023 14:19:14 test.heidrunwebt.de [client 85.25.49.0] AH01215: PHP Deprecated: Optional parameter $LanguageID declared before required parameter $shopID is implicitly treated as a required parameter in /xxxxxx/Test_Heidrunwebt/test/includes/functions.kategorie.inc.php on line 420: /home/strato/http/premium/rid/65/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php
16.01.2023 14:19:14 test.heidrunwebt.de [client 85.25.49.0] AH01215: PHP Deprecated: Optional parameter $ParentID declared before required parameter $KategorieSort is implicitly treated as a required parameter in /xxxxxx/Test_Heidrunwebt/test/includes/functions.kategorie.inc.php on line 778: /home/strato/http/premium/rid/65/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php
16.01.2023 14:19:14 test.heidrunwebt.de [client 85.25.49.0] AH01215: PHP Deprecated: Optional parameter $Aktiv declared before required parameter $KategorieSort is implicitly treated as a required parameter in /xxxxxx/Test_Heidrunwebt/test/includes/functions.kategorie.inc.php on line 778: /home/strato/http/premium/rid/65/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php
16.01.2023 14:19:14 test.heidrunwebt.de [client 85.25.49.0] AH01215: PHP Deprecated: Optional parameter $Aktiv declared before required parameter $KategorieSort is implicitly treated as a required parameter in /xxxxxx/Test_Heidrunwebt/test/includes/functions.kategorie.inc.php on line 850: /home/strato/http/premium/rid/65/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php
16.01.2023 14:19:14 test.heidrunwebt.de [client 85.25.49.0] AH01215: PHP Deprecated: Optional parameter $ArtikelID declared before required parameter $Separator is implicitly treated as a required parameter in /xxxxxx/Test_Heidrunwebt/test/includes/functions.kategorie.inc.php on line 1035: /home/strato/http/premium/rid/65/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php
16.01.2023 14:19:14 test.heidrunwebt.de [client 85.25.49.0] AH01215: PHP Deprecated: Optional parameter $KategorieIDArray declared before required parameter $Separator is implicitly treated as a required parameter in /xxxxxx/Test_Heidrunwebt/test/includes/functions.kategorie.inc.php on line 1035: /home/strato/http/premium/rid/65/90/510176590/htdocs/Test_Heidrunwebt/test/bootstrap.php
.........................
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Mo 16. Jan 2023, 22:02

Ich habe versucht die Zeile 1759 zu bearbeiten:

von
$GesamtSummenNettoArray[$GesamtSummenBruttoKey]["summe"] = ($GesamtSummenBrutto["summe"] / (100 + $GesamtSummenBrutto["mwstsatz"]) * 100;

auf

$GesamtSummenNettoArray[$GesamtSummenBruttoKey]["summe"] = ($GesamtSummenBrutto["summe"] / (100 + float($GesamtSummenBrutto["mwstsatz"]))* 100;

... danach war der test-Shop nicht mehr zu erreichen ... (direkt Fehler 500)

möglicherweise hängt das Problem mit dem Kleinunternehmer-Plugin zusammen ??

mir fehlt inzwischen absolut der Durchblick ...
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Re: Fehler bei Update auf 3.1

Beitragvon Werner » Di 17. Jan 2023, 14:15

Hallo,

Zitat von Herrn Maass:

Achtung!!! Updates nur mit vorherigen Backups vornehmen. Das Update ist nur mit vorheriger Einstellung auf PHP8 möglich.
Und noch wichtiger. Kunden mit den Versionen vor 3.x können die Module nicht mehr mit nehmen. Der Support dafür ist mit Version 3 abgelaufen und die Module müssen in den Versionen ab 3 neu erworben werden!

und die Patche einspielen!

Grüße
Werner
 
Beiträge: 294
Registriert: Mi 22. Jun 2011, 13:18

Re: Fehler bei Update auf 3.1

Beitragvon Heidrunwebt » Di 17. Jan 2023, 16:52

Hallo Werner,

ich denke, ich habe Alles richtig gemacht.

Update erst nach Umstellung auf PHP 8.0.

Danach Einspielen des 2. Patches (das erste ist ja lt. Hersteller bereits in der aktuellen update-Version enthalten).

Backup natürlich vorher, sonst wäre ich ja nicht in der Lage gewesen auf Version 3.0 zurückzurudern.

Aber jetzt kommts:

Module im SInne von Randshop werden bei uns m.E. nicht eingesetzt..
Ist das Kleinunternehmer-Plug-In etwa ein Modul ?
... das habe ich so nicht verstanden !!

Es spricht ja nix aus meiner Sicht gegen einen Neuerwerb des Plug-Ins, wenn es notwendig sein sollte.
Aber aus der Doku geht das nicht hervor, oder ??

und bei den käuflichen Modulen des Randshops taucht das Kleinunternehmer-PlugIn ja auch nicht auf.
https://www.myrandshop.de/Module
Heidrunwebt
 
Beiträge: 37
Registriert: Mo 1. Mär 2021, 10:59

Nächste

Zurück zu News, Patches und Updates zur Version 3.x

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 0 Gäste
cron